package com.recordingblogs.oreffect;

import java.util.EventListener;

/**
 This interface is implemented by the dialog that contains effect controls (a class in 
 Orinj application that extends JDialog and contains the control panels of effects with 
 the Orinj effect framework).  As an undo listener, this dialog is able to store undo 
 information when effects that change fire undo events and restore effect data when an
 undo command is invoked.

 You can redistribute this file, modify it, adapt it, translate it, and/or distribute 
 the modified version, whether free of charge or not.  This file is distributed as is, without 
 warranty of any kind.
  
 @author      Anton Kamenov
 @version     3.0
*/

public interface UndoListener extends EventListener
{
	public void undoStorageRequired(UndoEvent e);
}
